Task Status Confirmation
| Request | |
|---|---|
| Description | Allows a customer to confirm a scheduled task or a group of tasks with the same alternativeId. Only tasks scheduled from the same day on, having a possible status transition to the targeted status are confirmed. |
| Context | https://<instance>.optimizemyday.com/omdservices/rest/v1/customer/task |
| URL | /confirm |
| Method | GET |
| Response Code | 200 when successful, another HTTP status code otherwise |
| Success Response | A text message is returned |
| Response Type | TEXT |
| Parameter | Datatype | Description |
|---|---|---|
| configId | Integer | The identifier of the configuration. |
| taskId | String | The external identifier of the task. |
| status | String | The code of the targeted status after confirmation. |
This API supports token authentication, i.e. a token parameter can be passed for authentication. Basic authentication and JSESSIONSSOID cookie validation is also supported.
Sample Call
https://sandbox.optimizemyday.com/omdservices/rs/v1/customer/task/confirm?configId=16168276&taskId=AU-2022-46069%7CNT33%20Infrastrukturprojekte%7C-2-1-1&status=IP-C&authentication=fe417f2e-be72-476d-955e-8db2c98f0463
Sample Result
To use a specific response text, one can specify HTML templates with the following names:
| Result | Template Name | Default in case template is not defined |
|---|---|---|
| On failure | confirmationFailed | Your confirmation could not be registered. |
| On partial success | confirmationPartlyFailed | We successfully registered parts of your confirmation. However there were some visits not suitable for the confirmation. Please call your service contact to clarify the details. |
| On success | confirmationSucceeded | We successfully registered your confirmation. |